<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "reff_user_role".
 *
 * @property integer $role_id
 * @property string $role_description
 *
 * @property SamUsers[] $samUsers
 */
class SamRole extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'reff_user_role';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['role_description','role_id'], 'required'],
            [['role_description'], 'string', 'max' => 40],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'role_id' => 'Role ID',
            'role_description' => 'Role Description',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSamUsers()
    {
        return $this->hasMany(SamUsers::className(), ['role_id' => 'role_id']);
    }

    public static function primaryKey()
    {
        return parent::primaryKey(); // TODO: Change the autogenerated stub
    }
}
